Package com.smartgwt.client.util

# Class QualityIndicatedLocator

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.util.QualityIndicatedLocator

All Implemented Interfaces:
  `HasHandlers`

public class QualityIndicatedLocator extends DataClass
An object returned from `AutoTest.getLocatorWithIndicators()` that includes the locator and properties that describe the quality of the locator.

See Also:
  - `AutoTest overview and related methods`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QualityIndicatedLocator()`
  `QualityIndicatedLocator(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getContainsGlobalId()`
  True if the returned `locator` includes a reference using an auto-generated global ID.
  `Boolean`
  `getContainsIndices()`
  True if the returned `locator` includes references using index positions.
  `String`
  `getFirstParentOfIndex()`
  The ID of the first parent within the locator segments that has a child referenced by index.
  `String`
  `getGlobalID()`
  The ID of the component within the locator segments that has an auto-generated global ID.
  `String`
  `getLocator()`
  The `AutoTestLocator` associated with some DOM element in a Smart GWT application page.
  `static QualityIndicatedLocator`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `QualityIndicatedLocator`
  `setContainsGlobalId(Boolean containsGlobalId)`
  True if the returned `locator` includes a reference using an auto-generated global ID.
  `QualityIndicatedLocator`
  `setContainsIndices(Boolean containsIndices)`
  True if the returned `locator` includes references using index positions.
  `QualityIndicatedLocator`
  `setFirstParentOfIndex(String firstParentOfIndex)`
  The ID of the first parent within the locator segments that has a child referenced by index.
  `QualityIndicatedLocator`
  `setGlobalID(String globalID)`
  The ID of the component within the locator segments that has an auto-generated global ID.
  `QualityIndicatedLocator`
  `setLocator(String locator)`
  The `AutoTestLocator` associated with some DOM element in a Smart GWT application page.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QualityIndicatedLocator

    public QualityIndicatedLocator()

  - ### QualityIndicatedLocator

    public QualityIndicatedLocator(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static QualityIndicatedLocator getOrCreateRef(JavaScriptObject jsObj)

  - ### setContainsGlobalId

    public QualityIndicatedLocator setContainsGlobalId(Boolean containsGlobalId)
    True if the returned `locator` includes a reference using an auto-generated global ID.
    Parameters:
      `containsGlobalId` - New containsGlobalId value. Default value is null
    Returns:
      `QualityIndicatedLocator` instance, for chaining setter calls

  - ### getContainsGlobalId

    public Boolean getContainsGlobalId()
    True if the returned `locator` includes a reference using an auto-generated global ID.
    Returns:
      Current containsGlobalId value. Default value is null

  - ### setContainsIndices

    public QualityIndicatedLocator setContainsIndices(Boolean containsIndices)
    True if the returned `locator` includes references using index positions.
    Parameters:
      `containsIndices` - New containsIndices value. Default value is null
    Returns:
      `QualityIndicatedLocator` instance, for chaining setter calls

  - ### getContainsIndices

    public Boolean getContainsIndices()
    True if the returned `locator` includes references using index positions.
    Returns:
      Current containsIndices value. Default value is null

  - ### setFirstParentOfIndex

    public QualityIndicatedLocator setFirstParentOfIndex(String firstParentOfIndex)
    The ID of the first parent within the locator segments that has a child referenced by index. Note that a child component with an explicit `locatorName` will be excluded since the name is a reliable means to locate the component.
    Parameters:
      `firstParentOfIndex` - New firstParentOfIndex value. Default value is null
    Returns:
      `QualityIndicatedLocator` instance, for chaining setter calls

  - ### getFirstParentOfIndex

    public String getFirstParentOfIndex()
    The ID of the first parent within the locator segments that has a child referenced by index. Note that a child component with an explicit `locatorName` will be excluded since the name is a reliable means to locate the component.
    Returns:
      Current firstParentOfIndex value. Default value is null

  - ### setGlobalID

    public QualityIndicatedLocator setGlobalID(String globalID)
    The ID of the component within the locator segments that has an auto-generated global ID.
    Parameters:
      `globalID` - New globalID value. Default value is null
    Returns:
      `QualityIndicatedLocator` instance, for chaining setter calls

  - ### getGlobalID

    public String getGlobalID()
    The ID of the component within the locator segments that has an auto-generated global ID.
    Returns:
      Current globalID value. Default value is null

  - ### setLocator

    public QualityIndicatedLocator setLocator(String locator)
    The `AutoTestLocator` associated with some DOM element in a Smart GWT application page.
    Parameters:
      `locator` - New locator value. Default value is null
    Returns:
      `QualityIndicatedLocator` instance, for chaining setter calls
    See Also:
      - `AutoTestLocator`

  - ### getLocator

    public String getLocator()
    The `AutoTestLocator` associated with some DOM element in a Smart GWT application page.
    Returns:
      Current locator value. Default value is null
    See Also:
      - `AutoTestLocator`